package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;

import java.util.Date;

/**
 * 常见错误监测对象 trs_sensitive_results
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public class TrsSensitiveResults extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    @Excel(name = "序号", cellType = Excel.ColumnType.NUMERIC)
    private Integer index;

    /** 主键 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 所在页 */
    @Excel(name = "所在页")
    private String page;

    /** 错误词 */
    @Excel(name = "错误词")
    private String wrongWord;

    /** 正确词 */
    @Excel(name = "正确词")
    private String correctWord;

    /** 错误类型 */
    @Excel(name = "错误类型")
    private String errorType;

    public String getErrorGrade() {
        return errorGrade;
    }

    public void setErrorGrade(String errorGrade) {
        this.errorGrade = errorGrade;
    }
    /** 错误级别 */
    @Excel(name = "错误级别")
    private String errorGrade;

    /** 上下文 */
    @Excel(name = "上下文")
    private String context;

    public String getAllcontext() {
        return allcontext;
    }

    public void setAllcontext(String allcontext) {
        this.allcontext = allcontext;
    }

    private String allcontext;

    @Excel(name = "版本号")
    private String version;

    @Excel(name = "识别码")
    private String datakey;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDatakey() {
        return datakey;
    }

    public void setDatakey(String datakey) {
        this.datakey = datakey;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public String getSitename() {
        return sitename;
    }

    public void setSitename(String sitename) {
        this.sitename = sitename;
    }

    @Excel(name = "站点名称")
    private String sitename;


    public String getSitetag() {
        return sitetag;
    }

    public void setSitetag(String sitetag) {
        this.sitetag = sitetag;
    }

    @Excel(name = "网站类型")
    private String sitetag;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;
    public void setTime(Date time)
    {
        this.time = time;
    }

    public Date getTime()
    {
        return time;
    }

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date scantime;
    public void setScantime(Date scantime)
    {
        this.scantime = scantime;
    }

    public Date getScantime()
    {
        return scantime;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPage(String page)
    {
        this.page = page;
    }

    public String getPage()
    {
        return page;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCorrectWord(String correctWord) 
    {
        this.correctWord = correctWord;
    }

    public String getCorrectWord() 
    {
        return correctWord;
    }

    public void setErrorType(String errorType) 
    {
        this.errorType = errorType;
    }

    public String getErrorType() 
    {
        return errorType;
    }

    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("page", getPage())
            .append("wrongWord", getWrongWord())
            .append("correctWord", getCorrectWord())
            .append("errorType", getErrorType())
            .append("context", getContext())
            .toString();
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    private String tenantId;


}
